RUNUSER(1)

NAME
runuser - run a shell with substitute user and group IDs

SYNOPSIS
runuser [OPTION]... [-] [USER [ARG]...]

DESCRIPTION

Change the effective user id and group id to that of USER. Only session PAM hooks are run, and there is no password prompt. This command is useful only when run as the root user. If run as a non-root user without privilege to set user ID, the command will fail as the binary is not setuid. As runuser doesn't run auth and account PAM hooks, it runs with lower overhead than su.

-, -l, --login
    make the shell a login shell, uses runuser-l PAM file instead of default one, clears all envvars except for TERM, initializes HOME, SHELL, USER, LOGNAME and PATH

-g --group=group
    specify the primary group

-G --supp-group=group
    specify a supplemental group

-c, --command=COMMAND
    pass a single COMMAND to the shell with -c

--session-command=COMMAND
    pass a single COMMAND to the shell with -c and do not create a new session

-f, --fast
    pass -f to the shell (for csh or tcsh)

-m, --preserve-environment
    do not reset HOME, SHELL, USER, LOGNAME environment variables

-p  same as -m

-s, --shell=SHELL
    run SHELL if /etc/shells allows it

--help
    display this help and exit

--version
    output version information and exit

A mere - implies -l. If USER not given, assume root.

AUTHOR
Written by David MacKenzie, Dan Walsh.

REPORTING BUGS
Report runuser bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>
Report runuser translation bugs to <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

More detailed Texinfo documentation could be found by command

info coreutils 'su invocation'

since the command runuser is trimmed down version of command su.